Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en múltiples productos de B. Braun Melsungen

Múltiples vulnerabilidades en múltiples productos de B. Braun Melsungen

Fecha de publicación: 
23/10/2020
Importancia: 
4 - Alta
Recursos afectados: 
  • OnlineSuite AP, versión 3.0 y anteriores;
  • SpaceCom, versiones de software U61 y anteriores (en Estados Unidos), y L81 y anteriores (fuera de Estados Unidos);
  • Battery Pack SP con Wi-Fi, versiones de software U61 y anteriores (en Estados Unidos), y L81 y anteriores (fuera de Estados Unidos);
  • Data module compactplus, versiones de software A10 y A11 (no se distribuyen en Estados Unidos).
Descripción: 

Múltiples investigadores de diversas entidades, en el contexto de colaboración en el proyecto BSI ManiMed, han reportado 14 vulnerabilidades, 6 con severidad alta, 7 medias y 1 baja, de tipos limitación inadecuada de una ruta de acceso relativa a un directorio restringido (relative path transversal), elemento de la ruta de búsqueda no controlada, inyección en macros de Excel, XSS, redirección abierta, inyección en XPath, fijación de sesión, uso de un hash unidireccional sin salt, verificación inadecuada de firma criptográfica, gestión incorrecta de privilegios, uso de contraseñas embebidas, código para debugear aún activo y control de acceso inadecuado.

Solución: 

El fabricante recomienda actualizar a las siguientes versiones, para solucionar las vulnerabilidades descritas:

  • OnlineSuite Field Service Information, versión AIS06/20;
  • SpaceCom, versiones U62 o posteriores (en Estados Unidos), y L82 o posteriores (fuera de Estados Unidos);
  • Battery Pack SP con Wi-Fi, versiones U62 o posteriores (en Estados Unidos), y L82 o posteriores (fuera de Estados Unidos);
  • Data module compactplus, versión A12 o posteriores.
Detalle: 
  • Una vulnerabilidad de limitación inadecuada de una ruta de acceso relativa a un directorio restringido (relative path transversal) podría permitir a un atacante, no autenticado, cargar y descargar archivos arbitrarios. Se ha asignado el identificador CVE-2020-25172 para esta vulnerabilidad.
  • Una vulnerabilidad de secuestro (hijacking) de DLL permitiría a un atacante local ejecutar código en el sistema como un usuario con privilegios elevados. Se ha asignado el identificador CVE-2020-25174 para esta vulnerabilidad.
  • Una vulnerabilidad de XSS reflejado podría permitir a un atacante remoto inyectar código web arbitrario o HTML en varias ubicaciones. Se ha asignado el identificador CVE-2020-25158 para esta vulnerabilidad.
  • Una vulnerabilidad de inyección XPath permitiría a un atacante remoto, no autorizado, acceder a información sensible y escalar privilegios. Se ha asignado el identificador CVE-2020-25162 para esta vulnerabilidad.
  • Una vulnerabilidad de limitación inadecuada de una ruta de acceso relativa a un directorio restringido (relative path transversal) podría permitir a un atacante con privilegios de usuario del servicio cargar archivos arbitrarios mediante un archivo .tar especialmente diseñado. Se ha asignado el identificador CVE-2020-25150 para esta vulnerabilidad.
  • El código de depuración activo permitiría a un atacante, en posesión de material criptográfico, acceder al dispositivo como root. Se ha asignado el identificador CVE-2020-25156 para esta vulnerabilidad.

Para el resto de vulnerabilidades con severidad media y baja, se han asignado los identificadores: CVE-2020-25170, CVE-2020-25154, CVE-2020-25152, CVE-2020-25164, CVE-2020-25166, CVE-2020-16238, CVE-2020-25168 y CVE-2020-25160.

Encuesta valoración